Name: alsa-tools
Version: 0.9.8
Release: alt1

Summary: Advanced Linux Sound Architecture (ALSA) tools
License: GPL
Group: System/Kernel and hardware

Url: http://www.alsa-project.org/
Source: ftp://ftp.alsa-project.org/pub/utils/%name-%version.tar.bz2

Obsoletes: alsa2-tools < 0.9.4
Provides: alsa2-tools = %version
Requires: alsa >= %version, libalsa >= %version

# Automatically added by buildreq on Wed Oct 22 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libalsa-devel mawk

BuildRequires: automake_1.4
BuildRequires: autoconf_2.13
BuildRequires: kernel-headers-std >= 2.4.22-alt2
BuildRequires: kernel-headers-alsa

%description
Advanced Linux Sound Architecture (ALSA) tools. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

You may install this package if you really want use this low-level utils with
some audio cards.

%prep
%setup -q -n alsa-tools-%version
%__subst 's,/lib/modules/[^/]*/build/include,%_includedir/linux,g' \
	`find -name configure`

%set_autoconf_version 2.13
%set_automake_version 1.4

%build
%define kheader_version %(ls /lib/modules | tail -1)
%define kheader_version 2.4.22-std-up
%define confflags --with-soundbase=%_includedir/ --with-kernel=linux-%kheader_version

export CFLAGS="$CLAGS -I%_includedir/linux-%kheader_version/include/ -I%_includedir/sound/"

pushd ac3dec
    automake
    %configure %confflags
    %make_build
popd

pushd as10k1
    %configure %confflags
    %make_build
    %__make -C examples
popd

pushd envy24control
    automake --foreign
    %configure %confflags
    %make_build
popd

pushd sb16_csp
    automake
    %configure %confflags
    %make_build
popd

pushd seq/sbiload
    automake
    %configure %confflags
    %make_build
popd

pushd sscape_ctl
    automake
    %configure %confflags
    %make_build
popd

%install

pushd ac3dec
%makeinstall
popd

pushd as10k1
# makeinstall
%__mkdir_p %buildroot%_datadir/emu10k1
%__cp -f examples/*.emu10k1 %buildroot%_datadir/emu10k1
popd

pushd envy24control
%makeinstall
popd

pushd sb16_csp
%makeinstall
popd

pushd seq/sbiload
%makeinstall
popd

pushd sscape_ctl
%makeinstall
popd

# Prepare documentation
%__mv ac3dec/README ac3dec/README.ac3dec
%__mv ac3dec/Changelog ac3dec/Changelog.ac3dec
%__mv seq/sbiload/README seq/sbiload/README.sbiload

%files
%_bindir/*
%_mandir/man?/*
%_datadir/emu10k1/*.emu10k1
%doc ac3dec/README.ac3dec ac3dec/Changelog.ac3dec seq/sbiload/README.sbiload

%changelog
* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8
- updated buildrequires
- spec cleanup

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 0.9.7-alt1
- 0.9.7
- updated --with-soundbase value to reflect unified alsa headers location

* Wed Jul 30 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Mon Jun 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4
- renamed to alsa-tools

* Wed Apr 02 2003 Michael Shigorin <mike@altlinux.ru> 0.9.1-alt0.1
- 0.9.1 (unofficial build)

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt2
- 0.9.0rc7

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 0.9.0rc6-alt2
- build requires fix (autoconf & automake)

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- Rebuilt in new environment

* Mon Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1
- 0.9.0beta10
- Removed as10k1 to avoid conflicts with emu10k1-utils

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
